Redmine - Defect #10856

can not load translations from hr.yml with ruby1.9.3-p194
2012-05-09 00:24 - Hannu Hohenthal

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Ruby support Estimated time: 0.00 hour
Target version: 1.4.2

Resolution: Fixed Affected version: 1.4.1
Description

I'm setting up a Redmine 1.4.1 installation on a windows environment and when doing a "rake db:migrate" | started getting a lot of
errors regarding files in config/locales like:

rake aborted!
can not load translations from F:/webserver/redmine-1.4.1/config/locales/hr.yml, expected it to return a hash, but does not

| re-downloaded the .zip file from http:/rubyforge.org/frs/?group_id=1850 and checked the MD5sum which was correct but the
problem persisted. | then proceeded to download the .tar.gz file, unpacked it, copied all the locales and after that "rake db:migrate”
worked without a problem. | use 7zip 9.20 64bit to unpack on Windows 7 Professional 64bit.

History

#1 - 2012-05-10 19:08 - Jean-Philippe Lang
Are you using latest ruby 1.9.3 (p194)?

#2 - 2012-05-10 22:30 - Hannu Hohenthal

Yes | was. | just found it very strange that the files in the .tar.gz would work and the files in the .zip wouldn't.

#3 - 2012-05-11 00:24 - Jean-Philippe Lang

- Subject changed from redmine-1.4.1.zip file contains corrupt files to can not load translations from hr.yml with ruby1.9.3-p194
- Category set to Ruby support

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.2

- Resolution set to Fixed

The files are not corrupted in the zip file but they just can't be parsed with ruby1.9.3-p194. This problem does not occur with previous ruby versions
(eg. 1.9.3-p125).
It was fixed in r9593.
